> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Challenge

> Claim an SMS or email-based challenge on behalf of a user, associating it with an ID for a user record in your system.



## OpenAPI

````yaml server-api POST /claim
openapi: 3.0.0
info:
  description: Authsignal's Server API.
  version: 1.0.0
  title: Server API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1
  - url: https://au.api.authsignal.com/v1
  - url: https://eu.api.authsignal.com/v1
  - url: https://ca.api.authsignal.com/v1
security:
  - basicAuth: []
tags:
  - name: users
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenge
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: authenticator configurations
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: actions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: query
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: email
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sms
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: verify
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenges
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sessions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: devices
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /claim:
    post:
      tags:
        - challenge
      summary: Claim challenge
      description: >-
        Claim an SMS or email-based challenge on behalf of a user, associating
        it with an ID for a user record in your system.
      operationId: claimChallenge
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                challengeId:
                  type: string
                  description: The ID of the challenge.
                userId:
                  type: string
                  description: The ID of the user.
                skipVerificationCheck:
                  type: boolean
                  description: >-
                    If set to true, the requirement to call Verify Challenge
                    before claiming the challenge on behalf of a user will be
                    skipped. This option may be used in scenarios where an OTP
                    code has been verified independently of Authsignal. It
                    should be used with caution and could introduce security
                    risks if used incorrectly. Defaults to false.
              required:
                - challengeId
                - userId
            example:
              challengeId: 4deec6f1-034c-437b-95cd-4efc84cbcc52
              userId: 4a0acccf-ed27-463c-9357-0eafa3722ef1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: >-
                      A short-lived token which can be used subsequently in your
                      integration to validate that the challenge was completed
                      successfully by the user.
                  verificationMethod:
                    type: string
                    enum:
                      - SMS
                      - EMAIL_OTP
                    description: The verification method used to complete the challenge.
                required:
                  - token
                  - verificationMethod
        '400':
          $ref: '#/components/responses/InvalidRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    InvalidRequest:
      description: Invalid Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
      required:
        - error
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Server API secret key as the username and leave the
        password empty. The secret key can be found in the API Keys section of
        the Authsignal Portal settings page.

````